<?xml version="1.0"?>

<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

<ejb-jar>
    <enterprise-beans>
      <entity>
	<ejb-name>m05SolicitudReserva_Validacion</ejb-name>
	<home>m05bSolicitudReserva_ValidacionEJB.m05SolicitudReserva_ValidacionHome</home>
	<remote>m05bSolicitudReserva_ValidacionEJB.m05SolicitudReserva_Validacion</remote>
	<ejb-class>m05bSolicitudReserva_ValidacionEJB.m05SolicitudReserva_ValidacionBean</ejb-class>
	<persistence-type>Container</persistence-type>
	<prim-key-class>m05bSolicitudReserva_ValidacionEJB.m05SolicitudReserva_ValidacionPK</prim-key-class>
	<reentrant>False</reentrant>
	<abstract-schema-name>m05SolicitudReserva_Validacion</abstract-schema-name>
	<cmp-field>
	  <field-name>idSolicitud</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>codValidador</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>fechaValidacion</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>estado</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>motivo</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>notas</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>observaciones</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>codDestino</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>destinoOtros</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>mailEnviado</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>dni</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>nombre_apellidos</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>origen</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>situacion</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>validacionPosterior</field-name>
	</cmp-field>
	
	<query>
    	<query-method>
        	<method-name>findByIdSolicitud</method-name>
           	<method-params>
               	<method-param>java.lang.Integer</method-param>
           	</method-params>
		</query-method>
       	<ejb-ql>
			SELECT OBJECT(v) FROM m05SolicitudReserva_Validacion v
            WHERE v.idSolicitud = ?1
            ORDERBY v.fechaValidacion DESC
		</ejb-ql>
    </query>
    
      </entity>
    </enterprise-beans>
    <assembly-descriptor>
      <container-transaction>
	<method>
	  <ejb-name>m05SolicitudReserva_Validacion</ejb-name>
	  <!--method-intf>Remote</method-intf-->
	  <method-name>*</method-name>
	</method>
	<trans-attribute>Required</trans-attribute>
      </container-transaction>
    </assembly-descriptor>
  </ejb-jar>